vim.cmd 'packadd paq-nvim'
local paq = require'paq-nvim'.paq

paq {'savq/paq-nvim', opt = true}
-- Vertical Motion
paq 'justinmk/vim-sneak'
-- Search
paq 'junegunn/fzf'
paq 'junegunn/fzf.vim'
paq 'PeterRincker/vim-searchlight'
paq 'wincent/ferret'
paq 'lambdalisue/reword.vim'
-- Remove extraneous whitespace when edit mode is exited
paq 'ntpeters/vim-better-whitespace'
-- Manage Project sessions
paq 'thaerkh/vim-workspace'
-- For autocompletion
paq 'nvim-lua/completion-nvim'
paq 'steelsojka/completion-buffers'
-- For tmux
paq 'tmux-plugins/vim-tmux-focus-events'
-- Git support
paq 'nvim-lua/plenary.nvim'
paq 'lewis6991/gitsigns.nvim'
paq 'lambdalisue/gina.vim'
paq 'rhysd/git-messenger.vim'
paq 'rhysd/conflict-marker.vim'
paq 'salcode/vim-interactive-rebase-reverse'
-- Boost vim command line mode
paq 'vim-utils/vim-husk'
-- Rainbow Parentheses
paq 'luochen1990/rainbow'
-- Formatting
paq 'sbdchd/neoformat'
-- Run things async
paq 'hauleth/asyncdo.vim'
-- Quickfix
paq 'ronakg/quickr-cscope.vim'
paq 'milkypostman/vim-togglelist'
paq 'yssl/QFEnter'
paq 'chengzeyi/fzf-preview.vim'
-- Text Object plugins
paq 'wellle/targets.vim'
paq 'tpope/vim-surround'
paq 'coderifous/textobj-word-column.vim'
paq 'tommcdo/vim-exchange'
paq 'chaoren/vim-wordmotion'
-- Tim pope essentials
paq 'tpope/vim-commentary'
paq 'tpope/vim-repeat'
paq 'tpope/vim-sleuth'
-- Show indentation levels
paq 'Yggdroot/indentLine'
-- Smooth scrolling
paq 'psliwka/vim-smoothie'
-- Scrollbar
paq 'Xuyuanp/scrollbar.nvim'
-- Directory viewer
paq 'justinmk/vim-dirvish'
-- Show leader key bindings
paq 'liuchengxu/vim-which-key'
-- Clipboard
paq 'christoomey/vim-system-copy'
-- Toggle terminal
paq 'voldikss/vim-floaterm'
paq 'lambdalisue/edita.vim'
-- Take care of sudo
paq 'lambdalisue/suda.vim'
-- LSP
paq 'neovim/nvim-lspconfig'
paq 'nvim-lua/diagnostic-nvim'
paq 'nvim-lua/lsp-status.nvim'
-- Language support & syntax highlighting
-- Haskell
paq 'neovimhaskell/haskell-vim'
paq 'Twinside/vim-hoogle'
paq 'godlygeek/tabular'
paq 'ndmitchell/ghcid'
-- For C, Lua and Rust
paq 'nvim-treesitter/nvim-treesitter'
-- LaTeX
paq 'lervag/vimtex'
-- Dhall & nix
paq 'vmchale/dhall-vim'
paq 'LnL7/vim-nix'
-- Other syntax highlighting support
paq 'georgewitteman/vim-fish'
paq 'elzr/vim-json'
paq 'lifepillar/pgsql.vim'
paq 'mtdl9/vim-log-highlighting'
paq 'martinda/Jenkinsfile-vim-syntax'

-- Without this lua plugins like LSP or treesitter won't work
vim.cmd [[packloadall]]
